[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.ShowControl

Displays the control on its Parent.

## Declaration

Source position: controls.pp line 2311

`protected procedure TWinControl.ShowControl(`
`AControl: TControl`
`); virtual;`

## Arguments

`AControl` |  | A control to display. Ignored in this method.

## Description

ShowControl is a method used to display the control on its Parent. When Parent has been assigned, its ShowControl is called. This is repeated until a control without an assigned Parent is encountered.

ShowControl is called from the Show method in a control instance. It occurs before the Visible property is set toTrue, and forces each of the parent controls to become visible before setting the value in the control.

## See also

TControl.Parent |  | The control within which the control is shown.
TControl.Show |  | Makes the control visible by setting Visible to True.